Subject: Re: [feedback-report] Email::ARF::Report, etc
From: Ricardo SIGNES <[email-masked]>
To: [email-masked]
Date: Wed, 21 Mar 2007 17:14:53 -0400
List-Id: Public forum for discussion on the feedback-report draft <abuse-feedback-report.mipassoc.org>

* Steve Atkins <[email-masked]> [2007-03-21T12:49:20]
> On Mar 20, 2007, at 7:33 PM, Ricardo SIGNES wrote:
> >MIME::ARF exists, but it's not on the CPAN -- which means that in a lot of
> >ways, it  might as well not exist.
> 
> It's not on CPAN yet as I was waiting for the spec to stabilise. We  seem to
> be at that point now.

Yeah.  Admittedly, I am more likely to publish before it's done so that people
can tell me what stinks.

> I'd like to chat with you, off-list, about what best to do with  MIME::ARF
> (in namespace terms, apart from anything else).

Sounds good.  Drop me a line to my CPAN address, or join the Perl Email Project
list, where I've had some dicussion of this:

  http://emailproject.perl.org/wiki/Getting_Involved

-- 
rjbs

Date: Wed, 21 Mar 2007 15:40:07 -0400
From: Ricardo SIGNES <[email-masked]>
To: [email-masked]
Subject: Re: [feedback-report] Email::ARF::Report, etc

* Damon Sauer <[email-masked]> [2007-03-21T15:33:34]
> Why not just use: "Content-Type: multipart/digest;" (ref=
> http://www.w3.org/Protocols/rfc1341/7_2_Multipart.html )
> 
> It defaults the entire message to: message/rfc22

It looks to me like this is a suggestion for the ARF spec, rather than for
Email::ARF.  Is that correct?

I haven't been part of the spec design or discussion, so I'm just implementing
what the draft says.

My first reaction is that more things already know how to deal with a normal
multipart type than with the digest type, which is less common.  Producers
would probably find that they had to specify that the content type is
message/rfc822, thus eliminating that benefit.  Further, the digest type is
generally supposed to indicate a cluster of messages, not a cluster of messages
all describing one datum.

-- 
rjbs

Date: Wed, 21 Mar 2007 15:33:34 -0400
From: "Damon Sauer" <[email-masked]>
To: "Ricardo SIGNES" <[email-masked]>
Subject: Re: [feedback-report] Email::ARF::Report, etc
Cc: [email-masked]

------=_Part_34719_6686999.1174505614314
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Greeting from earth!

I had a suggestion earlier-

 Why not just use: "Content-Type: multipart/digest;" (ref=
http://www.w3.org/Protocols/rfc1341/7_2_Multipart.html )

It defaults the entire message to: message/rfc22

You can put the different parts of the complaint into their own capsule for
people reading with a MIME enabled reader - there by rendering it 'safe'...
and it would also follow a nice format for automated/programmatic
readers/scripts to parse.

On 3/20/07, Ricardo SIGNES <[email-masked]> wrote:
>
>
> Hello.  This list looks pretty quiet, but in case people are still
> listening:
>
> My name is Ricardo Signes.  I work at IC Group, which means I work for
> Pobox
> (an ESP that does email services for individuals) and Listbox (an ESP that
> does
> list explosion).  I'm the current holder of the "guy who has to figure out
> how
> to keep the major ISPs happy" pumpkin.
>
> I'm also the chief maintainer of the Perl Email Project
> (http://emailproject.perl.org), which means I'm the guy who tries to make
> sure
> that the email-handling modules on the CPAN are as well-maintained and
> sane as
> they can be.
>
> Today I uploaded a new dist, Email-ARF, which only contains one useful
> package
> so far, Email::ARF::Report.  Given an email message containing an ARF
> report,
> it provides an object to handle the report's content.  It will be very
> useful
> for me for handling AOL scomp mail, but before I start versioning it above
> zero
> or saying crazy things like, "this interface is not going to change a
> lot," I
> thought I'd run it past you folks.
>
> I will probably be making a "create" method for Email::ARF::Report (or
> maybe a
> Email::ARF::Producer class) in the near future.  I know that MIME::ARF
> exists,
> but it's not on the CPAN -- which means that in a lot of ways, it might as
> well
> not exist.  Also, I needed the parser more than the producer; having
> written
> that, it would be nice to have a producer that uses the same conventions.
>
> I am open to feedback!
>
> Email-ARF will show up on search.cpan.org sometime in the next few hours,
> here:
>
> http://search.cpan.org/dist/Email-ARF/
>
> Until then, you can get the tarball here:
>
> http://pause.perl.org/incoming/Email-ARF-0.000.tar.gz
>
> --
> rjbs
> _______________________________________________
> abuse-feedback-report mailing list
> [email-masked]
> http://mipassoc.org/mailman/listinfo/abuse-feedback-report
>

------=_Part_34719_6686999.1174505614314
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

<div>Greeting from earth!</div>
<div>&nbsp;</div>
<div>I had a suggestion earlier-</div>
<div>&nbsp;</div>
<div>
<div>Why not just use: &quot;Content-Type: multipart/digest;&quot; (ref= <a onclick="return top.js.OpenExtLink(window,event,this)" href="http://www.w3.org/Protocols/rfc1341/7_2_Multipart.html" target="_blank">http://www.w3.org/Protocols/rfc1341/7_2_Multipart.html
</a>&nbsp;)</div>
<div>&nbsp;</div>
<div>It defaults the entire message to: message/rfc22</div>
<div>&nbsp;&nbsp;</div>
<div>You can put the different parts of the complaint into their own capsule for people reading with a MIME enabled reader - there by rendering it &#39;safe&#39;... and it would also follow a nice format for automated/programmatic readers/scripts to parse. 
</div></div>
<div><br><br>&nbsp;</div>
<div><span class="gmail_quote">On 3/20/07, <b class="gmail_sendername">Ricardo SIGNES</b> &lt;<a href="mailto:[email-masked]">[email-masked]</a>&gt; wrote:</span>
<blockquote class="gmail_quote" style="PADDING-LEFT: 1ex; MARGIN: 0px 0px 0px 0.8ex; BORDER-LEFT: #ccc 1px solid"><br>Hello.&nbsp;&nbsp;This list looks pretty quiet, but in case people are still listening:<br><br>My name is Ricardo Signes.&nbsp;&nbsp;I work at IC Group, which means I work for Pobox
<br>(an ESP that does email services for individuals) and Listbox (an ESP that does<br>list explosion).&nbsp;&nbsp;I&#39;m the current holder of the &quot;guy who has to figure out how<br>to keep the major ISPs happy&quot; pumpkin.
<br><br>I&#39;m also the chief maintainer of the Perl Email Project<br>(<a href="http://emailproject.perl.org">http://emailproject.perl.org</a>), which means I&#39;m the guy who tries to make sure<br>that the email-handling modules on the CPAN are as well-maintained and sane as
<br>they can be.<br><br>Today I uploaded a new dist, Email-ARF, which only contains one useful package<br>so far, Email::ARF::Report.&nbsp;&nbsp;Given an email message containing an ARF report,<br>it provides an object to handle the report&#39;s content.&nbsp;&nbsp;It will be very useful
<br>for me for handling AOL scomp mail, but before I start versioning it above zero<br>or saying crazy things like, &quot;this interface is not going to change a lot,&quot; I<br>thought I&#39;d run it past you folks.<br><br>
I will probably be making a &quot;create&quot; method for Email::ARF::Report (or maybe a<br>Email::ARF::Producer class) in the near future.&nbsp;&nbsp;I know that MIME::ARF exists,<br>but it&#39;s not on the CPAN -- which means that in a lot of ways, it might as well
<br>not exist.&nbsp;&nbsp;Also, I needed the parser more than the producer; having written<br>that, it would be nice to have a producer that uses the same conventions.<br><br>I am open to feedback!<br><br>Email-ARF will show up on 
<a href="http://search.cpan.org">search.cpan.org</a> sometime in the next few hours, here:<br><br><a href="http://search.cpan.org/dist/Email-ARF/">http://search.cpan.org/dist/Email-ARF/</a><br><br>Until then, you can get the tarball here:
<br><br><a href="http://pause.perl.org/incoming/Email-ARF-0.000.tar.gz">http://pause.perl.org/incoming/Email-ARF-0.000.tar.gz</a><br><br>--<br>rjbs<br>_______________________________________________<br>abuse-feedback-report mailing list
<br><a href="mailto:[email-masked]">[email-masked]</a><br><a href="http://mipassoc.org/mailman/listinfo/abuse-feedback-report">http://mipassoc.org/mailman/listinfo/abuse-feedback-report
</a><br></blockquote></div><br>

------=_Part_34719_6686999.1174505614314--

From: Steve Atkins <[email-masked]>
Subject: Re: [feedback-report] Email::ARF::Report, etc
Date: Wed, 21 Mar 2007 09:49:20 -0700
To: [email-masked]

On Mar 20, 2007, at 7:33 PM, Ricardo SIGNES wrote:

>
> Hello.  This list looks pretty quiet, but in case people are still  
> listening:
>
> My name is Ricardo Signes.  I work at IC Group, which means I work  
> for Pobox
> (an ESP that does email services for individuals) and Listbox (an  
> ESP that does
> list explosion).  I'm the current holder of the "guy who has to  
> figure out how
> to keep the major ISPs happy" pumpkin.
>
> I'm also the chief maintainer of the Perl Email Project
> (http://emailproject.perl.org), which means I'm the guy who tries  
> to make sure
> that the email-handling modules on the CPAN are as well-maintained  
> and sane as
> they can be.
>
> Today I uploaded a new dist, Email-ARF, which only contains one  
> useful package
> so far, Email::ARF::Report.  Given an email message containing an  
> ARF report,
> it provides an object to handle the report's content.  It will be  
> very useful
> for me for handling AOL scomp mail, but before I start versioning  
> it above zero
> or saying crazy things like, "this interface is not going to change  
> a lot," I
> thought I'd run it past you folks.
>
> I will probably be making a "create" method for Email::ARF::Report  
> (or maybe a
> Email::ARF::Producer class) in the near future.  I know that  
> MIME::ARF exists,
> but it's not on the CPAN -- which means that in a lot of ways, it  
> might as well
> not exist.
>

It's not on CPAN yet as I was waiting for the spec to stabilise. We  
seem to be
at that point now.

> Also, I needed the parser more than the producer; having written
> that, it would be nice to have a producer that uses the same  
> conventions.
>
> I am open to feedback!
>

I'd like to chat with you, off-list, about what best to do with  
MIME::ARF (in
namespace terms, apart from anything else).

Cheers,
   Steve

Date: Wed, 21 Mar 2007 12:30:02 -0400
From: Ricardo SIGNES <[email-masked]>
To: [email-masked]
Subject: Re: [feedback-report] Email::ARF::Report, etc

* Ricardo SIGNES <[email-masked]> [2007-03-20T22:33:36]
> I will probably be making a "create" method for Email::ARF::Report (or maybe
> a Email::ARF::Producer class) in the near future.  I know that MIME::ARF
> exists, but it's not on the CPAN -- which means that in a lot of ways, it
> might as well not exist.  Also, I needed the parser more than the producer;
> having written that, it would be nice to have a producer that uses the same
> conventions.

I've added that method, although I can promise that I will soon refactor it.  I
really don't like that the "new" method gets an ARF report and the "create"
method gets a standard MIME message.

This may just get solved by having the MIME message representation of an ARF
report available via an "as_email" or "as_string" method.  (Then again, it's
nice to have parsed reports be immutable and generated reports be mutable, but
cautious programming is probably better than premature complexification, now.)

The "create" method appears in version 0.001, on the CPAN now.

-- 
rjbs

Date: Tue, 20 Mar 2007 22:33:36 -0400
From: Ricardo SIGNES <[email-masked]>
To: [email-masked]
Subject: [feedback-report] Email::ARF::Report, etc

Hello.  This list looks pretty quiet, but in case people are still listening:

My name is Ricardo Signes.  I work at IC Group, which means I work for Pobox
(an ESP that does email services for individuals) and Listbox (an ESP that does
list explosion).  I'm the current holder of the "guy who has to figure out how
to keep the major ISPs happy" pumpkin.

I'm also the chief maintainer of the Perl Email Project
(http://emailproject.perl.org), which means I'm the guy who tries to make sure
that the email-handling modules on the CPAN are as well-maintained and sane as
they can be.

Today I uploaded a new dist, Email-ARF, which only contains one useful package
so far, Email::ARF::Report.  Given an email message containing an ARF report,
it provides an object to handle the report's content.  It will be very useful
for me for handling AOL scomp mail, but before I start versioning it above zero
or saying crazy things like, "this interface is not going to change a lot," I
thought I'd run it past you folks.

I will probably be making a "create" method for Email::ARF::Report (or maybe a
Email::ARF::Producer class) in the near future.  I know that MIME::ARF exists,
but it's not on the CPAN -- which means that in a lot of ways, it might as well
not exist.  Also, I needed the parser more than the producer; having written
that, it would be nice to have a producer that uses the same conventions.

I am open to feedback!

Email-ARF will show up on search.cpan.org sometime in the next few hours, here:

  http://search.cpan.org/dist/Email-ARF/

Until then, you can get the tarball here:

  http://pause.perl.org/incoming/Email-ARF-0.000.tar.gz

-- 
rjbs